#include <bits/stdc++.h>
using namespace std;
bool cmp(pair<int,double> x,pair<int,double> y){
    if(x.second!=y.second)return x.second>y.second;
    else return x.first<y.first;
}
int main(){
    ios::sync_with_stdio(false);
    cin.tie(0);
    int n;cin>>n;
    pair<int,double> a[n];
    for(int i=0;i<n;i++){
        cin>>a[i].first>>a[i].second;
    }
    sort(a,a+n,cmp);
    long double ans=0,sum=0;
    for(int i=0;i<n;i++){
        sum+=a[i].first;
        ans=max(ans,(sum*a[i].second/100));
    }
    cout<<fixed<<setprecision(4)<<ans<<'\n';
    return 0;
}